[packages/google-talkplugin] cleanups

glen glen at pld-linux.org
Wed Mar 6 10:57:51 CET 2013


commit be7aaecc122c0fed8369662c95d38e77c07490b1
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Wed Mar 6 11:57:47 2013 +0200

    cleanups

 update-source.sh | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)
---
diff --git a/update-source.sh b/update-source.sh
index a19d895..f0e4585 100755
--- a/update-source.sh
+++ b/update-source.sh
@@ -1,10 +1,16 @@
 #!/bin/sh
-# arch to check package. irrelevant for actual arch
-arch=x86_64
 # branch: stable, beta, unstable. default: stable
 branch=${1:-stable}
+# arch to check package. irrelevant for actual arch
+arch=x86_64
+
+pkg=google-talkplugin
+specfile=$pkg.spec
+sourceurl=http://dl.google.com/linux/talkplugin/rpm/stable/$arch/
 
-case "${branch}" in
+set -e
+
+case "$branch" in
 	stable|beta|unstable)
 		;;
 	*)
@@ -13,17 +19,11 @@ case "${branch}" in
 		;;
 esac
 
-sourceurl=http://dl.google.com/linux/talkplugin/rpm/stable/$arch
-
 set -e
 
 echo -n "Fetching latest version... "
 t=$(mktemp)
 
-# poldek is buggy, see https://bugs.launchpad.net/poldek/+bug/1026762
-#poldek -q --st=metadata --source "$sourceurl/" --update
-#poldek -q --skip-installed --st=metadata --source "$sourceurl/" --cmd "ls google-chrome-$branch" > $t
-
 wget -c $sourceurl/repodata/primary.xml.gz
 zcat primary.xml.gz | perl -ne 'm{<name>google-talkplugin</name>} and m{<version epoch="0" ver="([\d.]+)" rel="(\d+)"/>} and print "$1 $2"' > $t
 
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/google-talkplugin.git/commitdiff/be7aaecc122c0fed8369662c95d38e77c07490b1



More information about the pld-cvs-commit mailing list